<?
$sql="";

$sql.= "IF EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[pf_tipo_estado]') AND type in (N'U'))\n";
$sql.= "BEGIN\n";
$sql.= "DROP TABLE [prefrio].[dbo].[pf_tipo_estado];\n";
$sql.= "END\n";

ejecutarsql($sql,$filas,$otro);
$sql="";

$sql.= "IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[pf_tipo_estado]') AND type in (N'U'))\n";
$sql.= "BEGIN\n";
$sql.= "CREATE TABLE [pf_tipo_estado] (\n";
$sql.= "[id_tipo_estado] smallint NOT NULL,\n";
$sql.= "[desc_tipo_estado] varchar(50) NULL,\n";
$sql.= "CONSTRAINT [PK_pf_tipo_estado]\n";
$sql.= "PRIMARY KEY CLUSTERED ([id_tipo_estado] ASC)\n";
$sql.= "WITH ( PAD_INDEX = OFF,\n";
$sql.= "FILLFACTOR = 100,\n";
$sql.= "IGNORE_DUP_KEY = OFF,\n";
$sql.= "STATISTICS_NORECOMPUTE = OFF,\n";
$sql.= "ALLOW_ROW_LOCKS = ON,\n";
$sql.= "ALLOW_PAGE_LOCKS = ON )\n";
$sql.= " ON [PRIMARY]\n";
$sql.= ")\n";
$sql.= "ON [PRIMARY];\n";
$sql.= "END;\n";

ejecutarsql($sql,$filas,$otro);
$sql="";


$sql.= "insert into [dbo].[pf_tipo_estado]([id_tipo_estado],[desc_tipo_estado]) values (0,'Recepción');\n";
$sql.= "insert into [dbo].[pf_tipo_estado]([id_tipo_estado],[desc_tipo_estado]) values (1,'Fumigación');\n";
$sql.= "insert into [dbo].[pf_tipo_estado]([id_tipo_estado],[desc_tipo_estado]) values (2,'Congelados');\n";
$sql.= "insert into [dbo].[pf_tipo_estado]([id_tipo_estado],[desc_tipo_estado]) values (3,'Enfriamiento');\n";
$sql.= "insert into [dbo].[pf_tipo_estado]([id_tipo_estado],[desc_tipo_estado]) values (4,'Almacenamiento');\n";
$sql.= "insert into [dbo].[pf_tipo_estado]([id_tipo_estado],[desc_tipo_estado]) values (5,'Despacho');\n";

ejecutarsql($sql,$filas,$otro);
$sql="";


?>
